Skip to main content
POST
/
auth
/
login
curl -X POST https://secureapi.gridlog.io/api/v1/auth/login \
  -H "Content-Type: application/json" \
  -d '{
    "email": "admin@yourcompany.com",
    "password": "SecurePassword123!"
  }'
{
  "accessToken": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...",
  "tokenType": "Bearer",
  "account": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "email": "admin@yourcompany.com"
  }
}
email
string
required
The user’s email address
password
string
required
The user’s password
curl -X POST https://secureapi.gridlog.io/api/v1/auth/login \
  -H "Content-Type: application/json" \
  -d '{
    "email": "admin@yourcompany.com",
    "password": "SecurePassword123!"
  }'
{
  "accessToken": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...",
  "tokenType": "Bearer",
  "account": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "email": "admin@yourcompany.com"
  }
}
accessToken
string
JWT token to use in subsequent Authorization: Bearer headers
tokenType
string
Always "Bearer"
account
object
Basic account info for the authenticated user
This endpoint does not require authentication — it is publicly accessible.